<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,132,502,598}</property>
    <property name="Name">[pselote3.scr]</property>
    <property name="Caption">[Lotes do Produto]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[..\xml\icon\tela2.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL zzOper = "VENDAS"
//skel VARIAVEL w_chave = str(se_prod->pcod,6)+"A"
//skel VARIAVEL wDesc = se_prod->pDesc
//skel VARIAVEL w_mensagem = "Sem mais Lotes"
//skel VARIAVEL w_block  = {|| w_chave <> str(pcod,6)+cr_situaca }
//skel VARIAVEL Z_BlkRet =  {|| MyKeyb(chr(27)+alltrim(plote)) }
//skel COMANDO ANTES OrdScope(0,w_chave)
//skel COMANDO ANTES OrdScope(1,w_chave)

oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,10,544,70,24)
// hwg_TbMt(oToolbar,' 13;Eval(Z_BlkRet);Enter-Confirma ;Enter - Confirma;sembitmap;;;Lucida Bright;-11;Confirma;;6;')
hwg_TbMt(oToolbar,'13;psq_enter();Enter-Confirma;Enter-Confirma;sembitmap;;;Lucida Bright;-11;Confirma;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,502,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,69,480,458}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Sit;CR_SITUACA;C;;3;S;')
hwg_TbFi(D_oB, 'Lote ;PLOTE;C;@S10;10;N;')
hwg_TbFi(D_oB, 'Disponiveis;peatbal+MQUANT-mqatend;P;999999;  6;N;')
hwg_TbFi(D_oB, 'Vencto;DATA_VENC;D;;  8;N;')
hwg_TbFi(D_oB, 'DtUltMov;MDATA;D;;  8;N;')
hwg_TbFi(D_oB, 'Saidas;mqatend;N;999999;  6;N;')
hwg_TbFi(D_oB, 'Entradas;MQUANT;N;999999;  6;N;')
hwg_TbFi(D_oB, 'Cod;PCOD;N;999999;6;N;')
hwg_TbFi(D_oB, 'DtCad;PdataCad;D;;8;N;')
hwg_TbFi(D_oB, '')
D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SE_LOTES",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{46,30,418,22}</property>
      <property name="Name">[oEdit1]</property>
      <property name="varName">[wDesc]</property>
      <property name="TabIndex">5</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{178,8,116,19}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Lotes do Produto]</property>
      <property name="TextColor">16744448</property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
</part>
